# Quantitative assessment of eNATL60 simulations

This folder contains the results of a set of comparisons of eNATL60 model data with observational datasets. Each comparison is presented in a dedicated folder which contains the result of the analysis and the code used to perform the analysis. 

## completed comparisons
  - *eddy variability* :  [comparison with AVISO RMS SLA](./mesoscale-variability/README.md)
  - *barotropic tides* : [comparison with FES2014 tidal atlas](./barotropic-tide/README.md)
  - *eddy variability* : [comparison to along-track altimetry (SARAL)](./along-track_spectra)
  
## upcoming comparisons
  - *hydrography* : comparison with ARGO floats and OVIDE sections
  - *eddy variability* : comparison with ARGO derived estimates of EAPE
  - *large scale circulation* : comparison with AVISO MDT
  - *frequency spectra* : comparison with GDP drifters 
  - *frequency spectra* : comparison with currentmeter archive data. 
  - *fine scale gradients* : comparison with OSMOSIS array of currentmeters
  - *baroclinic tides* : comparison with spatialy along-track SSH variance. 
